Name:           perl-Time-Hires
Version:        01.20
Release:        1mdk
License:        GPL or Artistic

%define realname	Time-HiRes
Group:          Development/Perl
Summary:	Time-Hires module for perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Time/%{realname}-%{version}.tar.gz
Url:		http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
Requires:       perl >= 5.005


%description
Time::HiRes module: High resolution time, sleep, and alarm.
Implement usleep, ualarm, and gettimeofday for Perl, as well
as wrappers to implement time, sleep, and alarm that know
about non-integral seconds.


%prep
%setup -q -n %{realname}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
%make PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README TODO
%{_libdir}/perl5/site_perl/*/%{_arch}-linux/auto/Time/HiRes/
%{_libdir}/perl5/site_perl/*/%{_arch}-linux/Time/HiRes.pm
%{_libdir}/perl5/man/man3/*

%changelog
* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 01.20-1mdk
- First MandrakeSoft Package
